Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005824 [DCSS] Bug Report tweak have not tried 2012-06-23 12:15 2014-02-01 21:07
Reporter absolutego View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.11 ancient branch
Summary 0005824: On Yred's allies and scrolls of immolation/holy word
Description I've been meaning to mention this for a while, but never got around to it.

Currently, undead allies gifted by Yred turn hostile if you hurt them. An easy way for this to happen is to read-id immolation or holy word with them in its respective AoE. This is potentially fatal (early on it can kill you, later on it can turn your 5 bone dragons hostile). So you tell them to wander around until they're out of LOS, read-id, then recall.

Yred has enough interface annoyance (shepherding) as is. My take is that allies shouldn't care about immolation, and Yred should avert your first use of holy word (there's precedent for this re: gods, I think).

It's a newbie trap, too.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0007511resolvedKiloByte Reading unidentified scroll of immolation near pacified monster incurs Elyvilon's penance. 

-  Notes
(0024127)
Grandiloquent Gentleman (reporter)
2013-10-02 08:03
edited on: 2013-10-02 08:04

immolation is already fixed.
to fix holy word:

change line 3390 of item use.cc
from
holy_word(pow, HOLY_WORD_SCROLL, you.pos(), false, &you);

to

holy_word(pow, HOLY_WORD_SCROLL, you.pos(), false, &you, !item_type_known(scroll));

make holy_word and holy_word_monsters take another parameter

void holy_word(int pow, holy_word_source_type source, const coord_def& where,
               bool silent, actor *attacker, bool yred_supress)
void holy_word_monsters(coord_def where, int pow, holy_word_source_type source,
                        actor *attacker, bool yred_supress)

change line 194 of effects.cc

from
holy_word_monsters(*ri, pow, source, attacker);

to
holy_word_monsters(*ri, pow, source, attacker, yred_supress);


change line 170 of effects.cc
from
if (attacker != NULL)


to
if (attacker != NULL || !(you_worship(GOD_YREDELEMNUL) && yred_supress && mons_is_god_gift(mons, GOD_YREDELEMNUL))

and update headers and wherever else any of the modified functions are called


- Issue History
Date Modified Username Field Change
2012-06-23 12:15 absolutego New Issue
2013-08-24 21:21 neil Relationship added has duplicate 0007511
2013-10-02 08:03 Grandiloquent Gentleman Note Added: 0024127
2013-10-02 08:04 Grandiloquent Gentleman Note Edited: 0024127
2014-02-01 21:07 MarvinPA Status new => resolved
2014-02-01 21:07 MarvinPA Fixed in Branch => 0.14 development branch
2014-02-01 21:07 MarvinPA Resolution open => done
2014-02-01 21:07 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker